Mailinglist Archive: opensuse-security-announce (22 mails)

< Previous Next >
[security-announce] SUSE-SU-2012:0721-1: important: Security update for PHP5
SUSE Security Update: Security update for PHP5
______________________________________________________________________________

Announcement ID: SUSE-SU-2012:0721-1
Rating: important
References: #761631
Cross-References: CVE-2012-2335 CVE-2012-2336
Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP2
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 10 SP4
SLE SDK 10 SP4
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.
It includes one version update.

Description:


PHP5 was updated with incremental fixes to the previous
update:

* CVE-2012-2335: Additional unsafe cgi wrapper scripts
are also fixed now.
* CVE-2012-2336: Even more commandline option handling
is filtered, which could lead to crashes of the php
interpreter.

Security Issue references:

* CVE-2012-2335
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2335
>
* CVE-2012-2336
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2336
>


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP2:

zypper in -t patch sdksp1-apache2-mod_php5-6316

- SUSE Linux Enterprise Software Development Kit 11 SP1:

zypper in -t patch sdksp1-apache2-mod_php5-6316

- SUSE Linux Enterprise Server 11 SP2:

zypper in -t patch slessp1-apache2-mod_php5-6316

- SUSE Linux Enterprise Server 11 SP1 for VMware:

zypper in -t patch slessp1-apache2-mod_php5-6316

- SUSE Linux Enterprise Server 11 SP1:

zypper in -t patch slessp1-apache2-mod_php5-6316

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP2 (i586 ia64 ppc64
s390x x86_64) [New Version: 5.2.14]:

php5-devel-5.2.14-0.7.30.40.1
php5-imap-5.2.14-0.7.30.40.1
php5-ncurses-5.2.14-0.7.30.40.1
php5-posix-5.2.14-0.7.30.40.1
php5-readline-5.2.14-0.7.30.40.1
php5-sockets-5.2.14-0.7.30.40.1
php5-sqlite-5.2.14-0.7.30.40.1
php5-tidy-5.2.14-0.7.30.40.1

- SUSE Linux Enterprise Software Development Kit 11 SP2 (i586 x86_64) [New
Version: 5.2.14]:

apache2-mod_php5-5.2.14-0.7.30.40.1
php5-5.2.14-0.7.30.40.1
php5-bcmath-5.2.14-0.7.30.40.1
php5-bz2-5.2.14-0.7.30.40.1
php5-calendar-5.2.14-0.7.30.40.1
php5-ctype-5.2.14-0.7.30.40.1
php5-curl-5.2.14-0.7.30.40.1
php5-dba-5.2.14-0.7.30.40.1
php5-dbase-5.2.14-0.7.30.40.1
php5-dom-5.2.14-0.7.30.40.1
php5-exif-5.2.14-0.7.30.40.1
php5-fastcgi-5.2.14-0.7.30.40.1
php5-ftp-5.2.14-0.7.30.40.1
php5-gd-5.2.14-0.7.30.40.1
php5-gettext-5.2.14-0.7.30.40.1
php5-gmp-5.2.14-0.7.30.40.1
php5-hash-5.2.14-0.7.30.40.1
php5-iconv-5.2.14-0.7.30.40.1
php5-json-5.2.14-0.7.30.40.1
php5-ldap-5.2.14-0.7.30.40.1
php5-mbstring-5.2.14-0.7.30.40.1
php5-mcrypt-5.2.14-0.7.30.40.1
php5-mysql-5.2.14-0.7.30.40.1
php5-odbc-5.2.14-0.7.30.40.1
php5-openssl-5.2.14-0.7.30.40.1
php5-pcntl-5.2.14-0.7.30.40.1
php5-pdo-5.2.14-0.7.30.40.1
php5-pear-5.2.14-0.7.30.40.1
php5-pgsql-5.2.14-0.7.30.40.1
php5-pspell-5.2.14-0.7.30.40.1
php5-shmop-5.2.14-0.7.30.40.1
php5-snmp-5.2.14-0.7.30.40.1
php5-soap-5.2.14-0.7.30.40.1
php5-suhosin-5.2.14-0.7.30.40.1
php5-sysvmsg-5.2.14-0.7.30.40.1
php5-sysvsem-5.2.14-0.7.30.40.1
php5-sysvshm-5.2.14-0.7.30.40.1
php5-tokenizer-5.2.14-0.7.30.40.1
php5-wddx-5.2.14-0.7.30.40.1
php5-xmlreader-5.2.14-0.7.30.40.1
php5-xmlrpc-5.2.14-0.7.30.40.1
php5-xmlwriter-5.2.14-0.7.30.40.1
php5-xsl-5.2.14-0.7.30.40.1
php5-zip-5.2.14-0.7.30.40.1
php5-zlib-5.2.14-0.7.30.40.1

- SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 ia64 ppc64
s390x x86_64) [New Version: 5.2.14]:

php5-devel-5.2.14-0.7.30.40.1
php5-imap-5.2.14-0.7.30.40.1
php5-ncurses-5.2.14-0.7.30.40.1
php5-posix-5.2.14-0.7.30.40.1
php5-readline-5.2.14-0.7.30.40.1
php5-sockets-5.2.14-0.7.30.40.1
php5-sqlite-5.2.14-0.7.30.40.1
php5-tidy-5.2.14-0.7.30.40.1

- SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 x86_64) [New
Version: 5.2.14]:

apache2-mod_php5-5.2.14-0.7.30.40.1
php5-5.2.14-0.7.30.40.1
php5-bcmath-5.2.14-0.7.30.40.1
php5-bz2-5.2.14-0.7.30.40.1
php5-calendar-5.2.14-0.7.30.40.1
php5-ctype-5.2.14-0.7.30.40.1
php5-curl-5.2.14-0.7.30.40.1
php5-dba-5.2.14-0.7.30.40.1
php5-dbase-5.2.14-0.7.30.40.1
php5-dom-5.2.14-0.7.30.40.1
php5-exif-5.2.14-0.7.30.40.1
php5-fastcgi-5.2.14-0.7.30.40.1
php5-ftp-5.2.14-0.7.30.40.1
php5-gd-5.2.14-0.7.30.40.1
php5-gettext-5.2.14-0.7.30.40.1
php5-gmp-5.2.14-0.7.30.40.1
php5-hash-5.2.14-0.7.30.40.1
php5-iconv-5.2.14-0.7.30.40.1
php5-json-5.2.14-0.7.30.40.1
php5-ldap-5.2.14-0.7.30.40.1
php5-mbstring-5.2.14-0.7.30.40.1
php5-mcrypt-5.2.14-0.7.30.40.1
php5-mysql-5.2.14-0.7.30.40.1
php5-odbc-5.2.14-0.7.30.40.1
php5-openssl-5.2.14-0.7.30.40.1
php5-pcntl-5.2.14-0.7.30.40.1
php5-pdo-5.2.14-0.7.30.40.1
php5-pear-5.2.14-0.7.30.40.1
php5-pgsql-5.2.14-0.7.30.40.1
php5-pspell-5.2.14-0.7.30.40.1
php5-shmop-5.2.14-0.7.30.40.1
php5-snmp-5.2.14-0.7.30.40.1
php5-soap-5.2.14-0.7.30.40.1
php5-suhosin-5.2.14-0.7.30.40.1
php5-sysvmsg-5.2.14-0.7.30.40.1
php5-sysvsem-5.2.14-0.7.30.40.1
php5-sysvshm-5.2.14-0.7.30.40.1
php5-tokenizer-5.2.14-0.7.30.40.1
php5-wddx-5.2.14-0.7.30.40.1
php5-xmlreader-5.2.14-0.7.30.40.1
php5-xmlrpc-5.2.14-0.7.30.40.1
php5-xmlwriter-5.2.14-0.7.30.40.1
php5-xsl-5.2.14-0.7.30.40.1
php5-zip-5.2.14-0.7.30.40.1
php5-zlib-5.2.14-0.7.30.40.1

- SUSE Linux Enterprise Server 11 SP2 (i586 ia64 ppc64 s390x x86_64) [New
Version: 5.2.14]:

apache2-mod_php5-5.2.14-0.7.30.40.1
php5-5.2.14-0.7.30.40.1
php5-bcmath-5.2.14-0.7.30.40.1
php5-bz2-5.2.14-0.7.30.40.1
php5-calendar-5.2.14-0.7.30.40.1
php5-ctype-5.2.14-0.7.30.40.1
php5-curl-5.2.14-0.7.30.40.1
php5-dba-5.2.14-0.7.30.40.1
php5-dbase-5.2.14-0.7.30.40.1
php5-dom-5.2.14-0.7.30.40.1
php5-exif-5.2.14-0.7.30.40.1
php5-fastcgi-5.2.14-0.7.30.40.1
php5-ftp-5.2.14-0.7.30.40.1
php5-gd-5.2.14-0.7.30.40.1
php5-gettext-5.2.14-0.7.30.40.1
php5-gmp-5.2.14-0.7.30.40.1
php5-hash-5.2.14-0.7.30.40.1
php5-iconv-5.2.14-0.7.30.40.1
php5-json-5.2.14-0.7.30.40.1
php5-ldap-5.2.14-0.7.30.40.1
php5-mbstring-5.2.14-0.7.30.40.1
php5-mcrypt-5.2.14-0.7.30.40.1
php5-mysql-5.2.14-0.7.30.40.1
php5-odbc-5.2.14-0.7.30.40.1
php5-openssl-5.2.14-0.7.30.40.1
php5-pcntl-5.2.14-0.7.30.40.1
php5-pdo-5.2.14-0.7.30.40.1
php5-pear-5.2.14-0.7.30.40.1
php5-pgsql-5.2.14-0.7.30.40.1
php5-pspell-5.2.14-0.7.30.40.1
php5-shmop-5.2.14-0.7.30.40.1
php5-snmp-5.2.14-0.7.30.40.1
php5-soap-5.2.14-0.7.30.40.1
php5-suhosin-5.2.14-0.7.30.40.1
php5-sysvmsg-5.2.14-0.7.30.40.1
php5-sysvsem-5.2.14-0.7.30.40.1
php5-sysvshm-5.2.14-0.7.30.40.1
php5-tokenizer-5.2.14-0.7.30.40.1
php5-wddx-5.2.14-0.7.30.40.1
php5-xmlreader-5.2.14-0.7.30.40.1
php5-xmlrpc-5.2.14-0.7.30.40.1
php5-xmlwriter-5.2.14-0.7.30.40.1
php5-xsl-5.2.14-0.7.30.40.1
php5-zip-5.2.14-0.7.30.40.1
php5-zlib-5.2.14-0.7.30.40.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (i586 x86_64) [New Version:
5.2.14]:

apache2-mod_php5-5.2.14-0.7.30.40.1
php5-5.2.14-0.7.30.40.1
php5-bcmath-5.2.14-0.7.30.40.1
php5-bz2-5.2.14-0.7.30.40.1
php5-calendar-5.2.14-0.7.30.40.1
php5-ctype-5.2.14-0.7.30.40.1
php5-curl-5.2.14-0.7.30.40.1
php5-dba-5.2.14-0.7.30.40.1
php5-dbase-5.2.14-0.7.30.40.1
php5-dom-5.2.14-0.7.30.40.1
php5-exif-5.2.14-0.7.30.40.1
php5-fastcgi-5.2.14-0.7.30.40.1
php5-ftp-5.2.14-0.7.30.40.1
php5-gd-5.2.14-0.7.30.40.1
php5-gettext-5.2.14-0.7.30.40.1
php5-gmp-5.2.14-0.7.30.40.1
php5-hash-5.2.14-0.7.30.40.1
php5-iconv-5.2.14-0.7.30.40.1
php5-json-5.2.14-0.7.30.40.1
php5-ldap-5.2.14-0.7.30.40.1
php5-mbstring-5.2.14-0.7.30.40.1
php5-mcrypt-5.2.14-0.7.30.40.1
php5-mysql-5.2.14-0.7.30.40.1
php5-odbc-5.2.14-0.7.30.40.1
php5-openssl-5.2.14-0.7.30.40.1
php5-pcntl-5.2.14-0.7.30.40.1
php5-pdo-5.2.14-0.7.30.40.1
php5-pear-5.2.14-0.7.30.40.1
php5-pgsql-5.2.14-0.7.30.40.1
php5-pspell-5.2.14-0.7.30.40.1
php5-shmop-5.2.14-0.7.30.40.1
php5-snmp-5.2.14-0.7.30.40.1
php5-soap-5.2.14-0.7.30.40.1
php5-suhosin-5.2.14-0.7.30.40.1
php5-sysvmsg-5.2.14-0.7.30.40.1
php5-sysvsem-5.2.14-0.7.30.40.1
php5-sysvshm-5.2.14-0.7.30.40.1
php5-tokenizer-5.2.14-0.7.30.40.1
php5-wddx-5.2.14-0.7.30.40.1
php5-xmlreader-5.2.14-0.7.30.40.1
php5-xmlrpc-5.2.14-0.7.30.40.1
php5-xmlwriter-5.2.14-0.7.30.40.1
php5-xsl-5.2.14-0.7.30.40.1
php5-zip-5.2.14-0.7.30.40.1
php5-zlib-5.2.14-0.7.30.40.1

- SUSE Linux Enterprise Server 11 SP1 (i586 ia64 ppc64 s390x x86_64) [New
Version: 5.2.14]:

apache2-mod_php5-5.2.14-0.7.30.40.1
php5-5.2.14-0.7.30.40.1
php5-bcmath-5.2.14-0.7.30.40.1
php5-bz2-5.2.14-0.7.30.40.1
php5-calendar-5.2.14-0.7.30.40.1
php5-ctype-5.2.14-0.7.30.40.1
php5-curl-5.2.14-0.7.30.40.1
php5-dba-5.2.14-0.7.30.40.1
php5-dbase-5.2.14-0.7.30.40.1
php5-dom-5.2.14-0.7.30.40.1
php5-exif-5.2.14-0.7.30.40.1
php5-fastcgi-5.2.14-0.7.30.40.1
php5-ftp-5.2.14-0.7.30.40.1
php5-gd-5.2.14-0.7.30.40.1
php5-gettext-5.2.14-0.7.30.40.1
php5-gmp-5.2.14-0.7.30.40.1
php5-hash-5.2.14-0.7.30.40.1
php5-iconv-5.2.14-0.7.30.40.1
php5-json-5.2.14-0.7.30.40.1
php5-ldap-5.2.14-0.7.30.40.1
php5-mbstring-5.2.14-0.7.30.40.1
php5-mcrypt-5.2.14-0.7.30.40.1
php5-mysql-5.2.14-0.7.30.40.1
php5-odbc-5.2.14-0.7.30.40.1
php5-openssl-5.2.14-0.7.30.40.1
php5-pcntl-5.2.14-0.7.30.40.1
php5-pdo-5.2.14-0.7.30.40.1
php5-pear-5.2.14-0.7.30.40.1
php5-pgsql-5.2.14-0.7.30.40.1
php5-pspell-5.2.14-0.7.30.40.1
php5-shmop-5.2.14-0.7.30.40.1
php5-snmp-5.2.14-0.7.30.40.1
php5-soap-5.2.14-0.7.30.40.1
php5-suhosin-5.2.14-0.7.30.40.1
php5-sysvmsg-5.2.14-0.7.30.40.1
php5-sysvsem-5.2.14-0.7.30.40.1
php5-sysvshm-5.2.14-0.7.30.40.1
php5-tokenizer-5.2.14-0.7.30.40.1
php5-wddx-5.2.14-0.7.30.40.1
php5-xmlreader-5.2.14-0.7.30.40.1
php5-xmlrpc-5.2.14-0.7.30.40.1
php5-xmlwriter-5.2.14-0.7.30.40.1
php5-xsl-5.2.14-0.7.30.40.1
php5-zip-5.2.14-0.7.30.40.1
php5-zlib-5.2.14-0.7.30.40.1

- SUSE Linux Enterprise Server 10 SP4 (i586 ia64 ppc s390x x86_64):

apache2-mod_php5-5.2.14-0.34.1
php5-5.2.14-0.34.1
php5-bcmath-5.2.14-0.34.1
php5-bz2-5.2.14-0.34.1
php5-calendar-5.2.14-0.34.1
php5-ctype-5.2.14-0.34.1
php5-curl-5.2.14-0.34.1
php5-dba-5.2.14-0.34.1
php5-dbase-5.2.14-0.34.1
php5-devel-5.2.14-0.34.1
php5-dom-5.2.14-0.34.1
php5-exif-5.2.14-0.34.1
php5-fastcgi-5.2.14-0.34.1
php5-ftp-5.2.14-0.34.1
php5-gd-5.2.14-0.34.1
php5-gettext-5.2.14-0.34.1
php5-gmp-5.2.14-0.34.1
php5-hash-5.2.14-0.34.1
php5-iconv-5.2.14-0.34.1
php5-imap-5.2.14-0.34.1
php5-json-5.2.14-0.34.1
php5-ldap-5.2.14-0.34.1
php5-mbstring-5.2.14-0.34.1
php5-mcrypt-5.2.14-0.34.1
php5-mhash-5.2.14-0.34.1
php5-mysql-5.2.14-0.34.1
php5-ncurses-5.2.14-0.34.1
php5-odbc-5.2.14-0.34.1
php5-openssl-5.2.14-0.34.1
php5-pcntl-5.2.14-0.34.1
php5-pdo-5.2.14-0.34.1
php5-pear-5.2.14-0.34.1
php5-pgsql-5.2.14-0.34.1
php5-posix-5.2.14-0.34.1
php5-pspell-5.2.14-0.34.1
php5-shmop-5.2.14-0.34.1
php5-snmp-5.2.14-0.34.1
php5-soap-5.2.14-0.34.1
php5-sockets-5.2.14-0.34.1
php5-sqlite-5.2.14-0.34.1
php5-suhosin-5.2.14-0.34.1
php5-sysvmsg-5.2.14-0.34.1
php5-sysvsem-5.2.14-0.34.1
php5-sysvshm-5.2.14-0.34.1
php5-tokenizer-5.2.14-0.34.1
php5-wddx-5.2.14-0.34.1
php5-xmlreader-5.2.14-0.34.1
php5-xmlrpc-5.2.14-0.34.1
php5-xsl-5.2.14-0.34.1
php5-zlib-5.2.14-0.34.1

- SLE SDK 10 SP4 (i586 ia64 ppc s390x x86_64):

apache2-mod_php5-5.2.14-0.34.1
php5-5.2.14-0.34.1
php5-bcmath-5.2.14-0.34.1
php5-bz2-5.2.14-0.34.1
php5-calendar-5.2.14-0.34.1
php5-ctype-5.2.14-0.34.1
php5-curl-5.2.14-0.34.1
php5-dba-5.2.14-0.34.1
php5-dbase-5.2.14-0.34.1
php5-devel-5.2.14-0.34.1
php5-dom-5.2.14-0.34.1
php5-exif-5.2.14-0.34.1
php5-fastcgi-5.2.14-0.34.1
php5-ftp-5.2.14-0.34.1
php5-gd-5.2.14-0.34.1
php5-gettext-5.2.14-0.34.1
php5-gmp-5.2.14-0.34.1
php5-hash-5.2.14-0.34.1
php5-iconv-5.2.14-0.34.1
php5-imap-5.2.14-0.34.1
php5-ldap-5.2.14-0.34.1
php5-mbstring-5.2.14-0.34.1
php5-mcrypt-5.2.14-0.34.1
php5-mhash-5.2.14-0.34.1
php5-mysql-5.2.14-0.34.1
php5-ncurses-5.2.14-0.34.1
php5-odbc-5.2.14-0.34.1
php5-openssl-5.2.14-0.34.1
php5-pcntl-5.2.14-0.34.1
php5-pdo-5.2.14-0.34.1
php5-pear-5.2.14-0.34.1
php5-pgsql-5.2.14-0.34.1
php5-posix-5.2.14-0.34.1
php5-pspell-5.2.14-0.34.1
php5-shmop-5.2.14-0.34.1
php5-snmp-5.2.14-0.34.1
php5-soap-5.2.14-0.34.1
php5-sockets-5.2.14-0.34.1
php5-sqlite-5.2.14-0.34.1
php5-suhosin-5.2.14-0.34.1
php5-sysvmsg-5.2.14-0.34.1
php5-sysvsem-5.2.14-0.34.1
php5-sysvshm-5.2.14-0.34.1
php5-tidy-5.2.14-0.34.1
php5-tokenizer-5.2.14-0.34.1
php5-wddx-5.2.14-0.34.1
php5-xmlreader-5.2.14-0.34.1
php5-xmlrpc-5.2.14-0.34.1
php5-xsl-5.2.14-0.34.1
php5-zlib-5.2.14-0.34.1


References:

http://support.novell.com/security/cve/CVE-2012-2335.html
http://support.novell.com/security/cve/CVE-2012-2336.html
https://bugzilla.novell.com/761631

http://download.novell.com/patch/finder/?keywords=9254c34a3137091631d58336e794751f

http://download.novell.com/patch/finder/?keywords=e24fcb47191769c91e3f4a461e16add2

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages